Subject: Re: [RFC 1/4] kevent: core files.

From: Zach Brown <[email-masked]>
Date: Fri, 28 Jul 2006 12:01:28 -0700

> Things were like that at one point in time, but file descriptors turn out 
> to introduce a huge gaping security hole with SUID programs.  The problem 
> is that any event context is closely tied to the address space of the 
> thread issuing the syscalls, and file descriptors do not have this close 
> binding.

Can you go into that hole in more detail?

> Except that you're not usually pulling a full ring worth of events at a 
> time, more often just one.

OK, but then to wait for it you were already sleeping in the kernel, right?

Clearly we should port httpd to kevents and take some measurements :)

- z